### A free/open-source library for quantitative finance

Public Member Functions
LevenbergMarquardt Class Reference

Levenberg-Marquardt optimization method. More...

`#include <ql/math/optimization/levenbergmarquardt.hpp>`

Inheritance diagram for LevenbergMarquardt:
[legend]

List of all members.

## Public Member Functions

| LevenbergMarquardt (Real epsfcn=1.0e-8, Real xtol=1.0e-8, Real gtol=1.0e-8)
virtual EndCriteria::Type | minimize (Problem &P, const EndCriteria &endCriteria)
| minimize the optimization problem P
virtual Integer | getInfo () const
void | fcn (int m, int n, double *x, double *fvec, int *iflag)

## Detailed Description

Levenberg-Marquardt optimization method.

This implementation is based on MINPACK (<http://www.netlib.org/minpack>, <http://www.netlib.org/cephes/linalg.tgz>)

Examples:
  BermudanSwaption.cpp.